#### D.5.1.3 Degree

Procedure from library `numerAlg.lib` (see numerAlg_lib).

Usage:
  Degree(ideal I,int i); I ideal, i positive integer

Return:
  the degree of the pure i-dimensional component of the algebraic variety defined by I

Example:

    LIB "numerAlg.lib";
    ring r=0,(x,y,z),dp;
    poly f1=(x2+y2+z2-6)*(x-y)*(x-1);
    poly f2=(x2+y2+z2-6)*(x-z)*(y-2);
    poly f3=(x2+y2+z2-6)*(x-y)*(x-z)*(z-3);
    ideal I=f1,f2,f3;
    def W=Degree(I,1);
    ==>
    The Degree of Component
    3
    def W=Degree(I,2);
    ==>
    The Degree of Component
    2

User manual for Singular version 4-0-3, 2016, generated by texi2html.